Altimax\Apidae\Core\Entity\SitraAdminFacetingWidget:
  type: entity
  table: sitra_admin_faceting_widget
  repositoryClass: Altimax\Apidae\Core\Repository\SitraAdminFacetingWidget
  uniqueConstraints:
    widget_cle:
      columns: [ "cle" ]
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    label:
      type: string
      nullable: false
      length: 255
      fixed: false
      comment: ''
    position:
      type: integer
      nullable: true
      unsigned: true
      comment: ''
    cle:
      type: string
      nullable: false
      length: 255
      fixed: false
      comment: ''
    request:
      type: enumrequest
      nullable: false
      length: 45
      fixed: false
      comment: ''
    countBy:
      type: string
      nullable: true
      length: 255
      fixed: false
      column: count_by
    valeurs:
      type: text
      nullable: true
      fixed: false
      comment: ''
    description:
      type: string
      nullable: true
      length: 255
      fixed: false
      comment: ''
    template:
      type: enumtemplate
      nullable: false
      length: 45
      fixed: false
      comment: ''
    typeListeValeurs:
      type: enumtypelistevaleur
      nullable: false
      default: 'none'
      length: 45
      fixed: false
      column: 'type_liste_valeurs'
    listeValeurs:
      type: text
      nullable: true
      fixed: false
      column: 'liste_valeurs'
    config:
      type: text
      nullable: true
      fixed: false
      comment: ''
  oneToMany:
    children:
      targetEntity: Altimax\Apidae\Core\Entity\SitraAdminFacetingWidget
      mappedBy: dependsOn
  manyToOne:
    dependsOn:
      targetEntity: Altimax\Apidae\Core\Entity\SitraAdminFacetingWidget
      inversedBy: children
  manyToMany:
    groupeObjet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraAdminFacetingGroupeObjet
      mappedBy: widget
      fetch: EXTRA_LAZY
  lifecycleCallbacks: {  }